OracleVM 3.3 / 3.4 : ocaml (OVMSA-2017-0049)

This script is Copyright (C) 2017 Tenable Network Security, Inc.


Synopsis :

The remote OracleVM host is missing a security update.

Description :

The remote OracleVM system is missing necessary patches to address
critical security updates :

- Enable execshield stack protection on ppc/ppc64 (572826)
related: rhbz#1343082

- Fix strict-aliasing warnings in build (990540).

- Fix buffer overflow and information leak (CVE-2015-8869)
resolves: rhbz#1343082

See also :

http://www.nessus.org/u?a6cb24df
http://www.nessus.org/u?5299d2d4

Solution :

Update the affected ocaml-runtime package.

Risk factor :

Medium / CVSS Base Score : 6.4
(CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:P)
CVSS Temporal Score : 5.0
(CVSS2#E:POC/RL:OF/RC:ND)
Public Exploit Available : true

Family: OracleVM Local Security Checks

Nessus Plugin ID: 99076 ()

Bugtraq ID:

CVE ID: CVE-2015-8869

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now